Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  SolidWorks: Einrichtungsassistent Muster (Makro??)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   SolidWorks: Einrichtungsassistent Muster (Makro??) (217 mal gelesen)
Selfowned
Mitglied


Sehen Sie sich das Profil von Selfowned an!   Senden Sie eine Private Message an Selfowned  Schreiben Sie einen Gästebucheintrag für Selfowned

Beiträge: 2
Registriert: 09.03.2020

SolidWorks2017, DPS-Makrosheet2.0

erstellt am: 09. Mrz. 2020 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CAD Gemeinde,

ich schreibe aktuell meine Abschlussarbeit und möchte eine Konstruktion automatisieren.
Dabei möchte ich das Konstruieren möglichst einfach gestalten.
Um mein Vorhaben umzusetzten verwende ich den Einrichtungsassistent ( magnetische Verknüpfung).
Leider ist es mir nicht gelungen, ein Muster mit dieser Option zu erstellen, was für mich absolut notwendig wäre.

Kann mir einer von euch helfen?

Vielen Dank im vorraus.

Gruß
Alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Olaf Wolfram
Ehrenmitglied V.I.P. h.c.
CAD-Mutti und Konstrukteur CSWP CSWI



Sehen Sie sich das Profil von Olaf Wolfram an!   Senden Sie eine Private Message an Olaf Wolfram  Schreiben Sie einen Gästebucheintrag für Olaf Wolfram

Beiträge: 2403
Registriert: 30.06.2008

I7-3770 CPU 3,40 Ghz
32 Gb RAM
64 bit
WIN 7
SWX 2016 SP5
NVIDIA Quadro K2000<P>Testweise:
Lenovo ThinkStation P320 Tiny

erstellt am: 09. Mrz. 2020 14:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Selfowned 10 Unities + Antwort hilfreich

Hallo Selfowned,

helfen können hier sicherlich viele und damit es gleich losgehen kann, noch ein paar Bemerkungen.

Fülle bitte deine Systeminfo aus, damit erkennbar ist , mit welcher Solidworksversion du unterwegs bist.

Mache Screenshots, um dein Problem besser zu verdeutlichen.

Falls möglich, lade hier die Teile hoch, mit denen du arbeitest.....je weniger Aufwand der helfende hat, desto mehr input bekommst du hier.

was für mich unklar  ist :

Zitat:
Leider ist es mir nicht gelungen, ein Muster mit dieser Option zu erstellen, was für mich absolut notwendig wäre.


kannst du das näher beschreiben...

------------------
Wenn ,Wenn....Wenn meine Tante Nüsse hätte, dann wäre sie mein Onkel....

[Diese Nachricht wurde von Olaf Wolfram am 09. Mrz. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Selfowned
Mitglied


Sehen Sie sich das Profil von Selfowned an!   Senden Sie eine Private Message an Selfowned  Schreiben Sie einen Gästebucheintrag für Selfowned

Beiträge: 2
Registriert: 09.03.2020

SolidWorks2017, DPS-Makrosheet2.0

erstellt am: 09. Mrz. 2020 14:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


magnetischeVerknupfung.png

 
Vielen Dank für die Schnelle Antwort.

Mit SolidWorks kann man Muster erstellen, um Beispielsweise Bohrungen zu generieren. Dabei kann die Anzahl, sowie Längen von Parametern abhängig sein. Beim Erstellen von magnetischen Verknüpfungen muss jeder Punkt, sowie der Vektor manuell angeklickt werden.
Letzendlich wollt ich Fragen ob es dafür dennoch irgendeine Möglichkeit gibt, dies zu parametrisieren.

ich habe hierzu mal ein Makro aufgezeichnet.. kann mir eventuell einer die 7 Zahlen erklären, die in der Klammer stehen? damit kann ich leider nicht so viel anfangen..

boolstatus = Part.Extension.SelectByID2("Grundebene", "MAGNETICCONNECTREF", 0, 0, 0, False, 0, Nothing, 0)
boolstatus = Part.Extension.SelectByID2("", "FACE", 0, 0.005, -7.2280983085692E-03, True, 0, Nothing, 0)
boolstatus = Part.Extension.SelectByID2("Point5@Skizze11", "EXTSKETCHPOINT", 0.017970716479349, -4.82146155655983E-03, 0, True, 0, Nothing, 0)
boolstatus = Part.Extension.SelectByRay(1.60965481697417E-02, 4.99999999988177E-03, 9.63826957598712E-03, 0.378602137357525, -0.620588162912829, -0.686680969330586, 4.00335675489351E-04, 2, True, 0, 0)
boolstatus = Part.Extension.SelectByID2("Point6@Skizze11", "EXTSKETCHPOINT", 0.037970716479349, -4.82146155655983E-03, 0, True, 0, Nothing, 0)
boolstatus = Part.Extension.SelectByRay(3.63324000288685E-02, 4.99999999993861E-03, 8.52543256218041E-03, 0.378602137357525, -0.620588162912829, -0.686680969330586, 4.00335675489351E-04, 2, True, 0, 0)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2361
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 09. Mrz. 2020 14:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Selfowned 10 Unities + Antwort hilfreich

Hallo Selfowned,

was die "Zahlen" nennen sie wir mal Parameter bedeuten kannst du in der API-Hilfe in SWX nachlesen. Hier (Link)z.B. für die Methode SelectByRay.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete   

[Diese Nachricht wurde von bk.sc am 09. Mrz. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz